Bug 1263495 - Memory leak when deleting a tuple from an unlinked segment
Memory leak when deleting a tuple from an unlinked segment
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity high
: ER4
: 6.2.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks: 1263496
  Show dependency treegraph
 
Reported: 2015-09-15 20:45 EDT by Toshiya Kobayashi
Modified: 2015-12-21 11:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1263496 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-913 Major Resolved Memory leak when deleting a tuple from an unlinked segment 2016-11-13 21:56 EST

  None (edit)
Description Toshiya Kobayashi 2015-09-15 20:45:15 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-913

Steps to Reproduce:
1. See DROOLS-913. The commit contains a unit test

Actual results:

Deleted facts are retained by the ksession and not garbage collected even after ksession.delete()

Expected results:

Deleted facts are freed from the ksession so will be garbage collected after ksession.delete()
Comment 2 Marek Winkler 2015-10-23 09:44:25 EDT
Verified in BRMS 6.2.0 ER4 by running the original reproducer.

Btw, it seems to be fixed already in BRMS 6.2.0 ER3.

Note You need to log in before you can comment on or make changes to this bug.